aurora-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Bhuvan Arumugam (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AURORA-368) newer pants/commons lib break aurora packaging
Date Wed, 30 Apr 2014 21:03:17 GMT

    [ https://issues.apache.org/jira/browse/AURORA-368?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13986077#comment-13986077
] 

Bhuvan Arumugam commented on AURORA-368:
----------------------------------------

[~wickman] just an fyi. pants 0.0.23 break aurora packaging as it can't follow through links
for other packages not hosted in pypi, ex: cherrypy. 

{code}
[bhuvan@build incubator-aurora]$ ./pants src/main/python/apache/thermos/observer/bin/BUILD:thermos_observer
Build operating on targets: OrderedSet([PythonBinary(src/main/python/apache/thermos/observer/bin/BUILD:thermos_observer)])
Building PythonBinary PythonBinary(src/main/python/apache/thermos/observer/bin/BUILD:thermos_observer):
Problem executing PythonBuilder for targets OrderedSet([PythonBinary(src/main/python/apache/thermos/observer/bin/BUILD:thermos_observer)]):
Traceback (most recent call last):
  File "/home/bhuvan/.pex/install/twitter.pants-0.0.23-py2-none-any.whl.f5e9bf873de131a16ae160d7223ca5a80bf4e3c1/twitter.pants-0.0.23-py2-none-any.whl/twitter/pants/commands/build.py",
line 124, in _python_build
    conn_timeout=self.options.conn_timeout)
  File "/home/bhuvan/.pex/install/twitter.pants-0.0.23-py2-none-any.whl.f5e9bf873de131a16ae160d7223ca5a80bf4e3c1/twitter.pants-0.0.23-py2-none-any.whl/twitter/pants/python/python_builder.py",
line 61, in build
    conn_timeout=conn_timeout).run()
  File "/home/bhuvan/.pex/install/twitter.pants-0.0.23-py2-none-any.whl.f5e9bf873de131a16ae160d7223ca5a80bf4e3c1/twitter.pants-0.0.23-py2-none-any.whl/twitter/pants/python/binary_builder.py",
line 65, in run
    env = self.chroot.dump()
  File "/home/bhuvan/.pex/install/twitter.pants-0.0.23-py2-none-any.whl.f5e9bf873de131a16ae160d7223ca5a80bf4e3c1/twitter.pants-0.0.23-py2-none-any.whl/twitter/pants/python/python_chroot.py",
line 201, in dump
    platforms=platforms)
  File "/home/bhuvan/.pex/install/twitter.pants-0.0.23-py2-none-any.whl.f5e9bf873de131a16ae160d7223ca5a80bf4e3c1/twitter.pants-0.0.23-py2-none-any.whl/twitter/pants/python/resolver.py",
line 109, in resolve_multi
    platform=platform)
  File "/home/bhuvan/.pex/install/twitter.common.python-0.5.6-py2-none-any.whl.3c768fd1729ee8abb900d0735e78f242a030266b/twitter.common.python-0.5.6-py2-none-any.whl/twitter/common/python/resolver.py",
line 98, in resolve
    raise Unsatisfiable('Cannot satisfy requirements: %s' % requirement_set[requirement.key])
Unsatisfiable: Cannot satisfy requirements: [PythonRequirement(cherrypy==3.2.2)]


Usage: 
  pants-0.0.23.pex build (options) [spec] (build args)
  pants-0.0.23.pex build (options) [spec]... -- (build args)

Options:
  --version             show program's version number and exit
  -h, --help            show this help message and exit
  --no-pantsrc          Specifies that pantsrc files should be ignored.
  --log-exit            Log an exit message on success or failure.
  -t CONN_TIMEOUT, --timeout=CONN_TIMEOUT
                        Number of seconds to wait for http connections.
  -i INTERPRETER, --interpreter=INTERPRETER
                        The interpreter requirement for this chroot.
  -v, --verbose         Show verbose output.

Builds the specified Python target(s). Use ./pants goal for JVM and other
targets.
{code}

> newer pants/commons lib break aurora packaging
> ----------------------------------------------
>
>                 Key: AURORA-368
>                 URL: https://issues.apache.org/jira/browse/AURORA-368
>             Project: Aurora
>          Issue Type: Bug
>          Components: Build, Packaging
>    Affects Versions: 0.5.0
>            Reporter: Bhuvan Arumugam
>            Assignee: brian wickman
>         Attachments: AURORA-368.out
>
>
> Ever since pants and commons library were upgraded, we are unable to package gc_executor
binary. If it matter, we are using OEL6 with py26. Refer to attachment for PANTS_VERBOSE output.
> https://github.com/apache/incubator-aurora/commit/ddd2329eaefa780a680ed34e1aecb9c5240f03dd
> It complain following error:
> {code}
> Untranslateable: Package SourcePackage(u'http://protobuf.googlecode.com/files/protobuf-2.5.0.tar.gz')
is not translateable.
> {code}



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message